// SiteSelect.cpp : implementation file
//

#include "stdafx.h"
#include "ViewURL.h"
#include "SiteSelect.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSiteSelect dialog


CSiteSelect::CSiteSelect(CWnd* pParent /*=NULL*/)
	: CDialog(CSiteSelect::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSiteSelect)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CSiteSelect::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSiteSelect)
	DDX_Control(pDX, IDC_FRAME_NAME, m_Frame);
	DDX_Control(pDX, IDC_ANCHOR_NAME, m_Anchor);
	DDX_Control(pDX, IDC_URL, m_URL);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSiteSelect, CDialog)
	//{{AFX_MSG_MAP(CSiteSelect)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSiteSelect message handlers

void CSiteSelect::OnOK() 
{
   LPCWSTR   pszURL = NULL;      //Local copy of URL string.
   LPCWSTR   pszAnchor = NULL;   //Local copy of Anchor string.
   LPCWSTR   pszFrame = NULL;    //Local copy of Frame string.
   LPTSTR    pszBuffer = "";     //Conversion buffer.

   // Get the URL string and convert it.
   if (m_URL.LineLength(0) > 0)
   {
      m_URL.GetLine(0, pszBuffer, m_URL.LineLength(0));
      pszURL = LPCWSTR(pszBuffer);
   }
   else
   {
      MessageBox("You must enter an URL", "Error", MB_OK);
      return;
   }

   // Get the Anchor string and convert it.
   if (m_Anchor.LineLength(0) > 0)
   {
      m_Anchor.GetLine(0, pszBuffer, m_Anchor.LineLength(0));
      pszAnchor = LPCWSTR(pszBuffer);
   }

   // Get the Frame string and convert it.
   if (m_Frame.LineLength(0) > 0)
   {
      m_Frame.GetLine(0, pszBuffer, m_Frame.LineLength(0));
      pszFrame = LPCWSTR(pszBuffer);
   }

   // Go right to the selected page.
   HlinkSimpleNavigateToString(pszURL, 
      pszAnchor, pszFrame, NULL, 0, NULL, NULL, 0);

   
   CDialog::OnOK();
}
